com.holonplatform.datastore.mongo.core

## Interface BsonFilter

- All Superinterfaces:
    com.holonplatform.core.Expression, com.holonplatform.core.query.QueryFilter, Serializable
  All Known Implementing Classes:
    DefaultBsonFilter

      public interface BsonFilter
      extends com.holonplatform.core.query.QueryFilter

  A `QueryFilter` which uses a `Bson` expression as filter expression.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.QueryFilter

      `com.holonplatform.core.query.QueryFilter.CompositeQueryFilter, com.holonplatform.core.query.QueryFilter.QueryFilterResolver<T extends com.holonplatform.core.query.QueryFilter>, com.holonplatform.core.query.QueryFilter.QueryFilterSupport<C extends com.holonplatform.core.query.QueryFilter.QueryFilterSupport<C>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BsonFilter` | `create(org.bson.conversions.Bson bson)` Create a new `BsonFilter`.
    `org.bson.conversions.Bson` | `getBson()` Get the filter expression as a `Bson` expression.

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFilter

      `allOf, allOf, and, anyOf, anyOf, between, contains, endsWith, eq, eq, goe, goe, greaterThan, greaterThan, gt, gt, in, in, in, isNotNull, isNull, lessThan, lessThan, loe, loe, lt, lt, neq, neq, nin, nin, nin, not, not, or, startsWith`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getBson

          org.bson.conversions.Bson getBson()

      Get the filter expression as a `Bson` expression.
      Returns:
        `Bson` filter expression (must be not null)

    - #### create

          static BsonFilter create(org.bson.conversions.Bson bson)

      Create a new `BsonFilter`.
      Parameters:
        `bson` - Filter expression as `Bson`
      Returns:
        A new `BsonFilter` instance

Copyright © 2019 The Holon Platform. All rights reserved.